Subject: Re: [PATCH v10 5/9] ima: make process_buffer_measurement() generic

From: Michael Ellerman <[email-masked]>
Date: Thu, 14 Nov 2019 20:08:05 +1100 (AEDT)

On Thu, 2019-10-31 at 03:31:30 UTC, Mimi Zohar wrote:
> From: Nayna Jain <[email-masked]>
> 
> process_buffer_measurement() is limited to measuring the kexec boot
> command line. This patch makes process_buffer_measurement() more
> generic, allowing it to measure other types of buffer data (e.g.
> blacklisted binary hashes or key hashes).
> 
> process_buffer_measurement() may be called directly from an IMA
> hook or as an auxiliary measurement record. In both cases the buffer
> measurement is based on policy. This patch modifies the function to
> conditionally retrieve the policy defined PCR and template for the IMA
> hook case.
> 
> Signed-off-by: Nayna Jain <[email-masked]>
> [[email-masked]: added comment in process_buffer_measurement()]
> Signed-off-by: Mimi Zohar <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/e14555e3d0e9edfad0a6840c0152f71aba97e793

cheers